package com.community.huiju.service.impl;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.dao.ToSysRoleMapper;
import com.community.huiju.model.ToSysRole;
import com.community.huiju.service.IToSysRoleService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("iToSysRoleService")
@Slf4j
public class ToSysRoleServiceImpl implements IToSysRoleService {

    @Autowired
    private ToSysRoleMapper toSysRoleMapper;

    @Override
    public List<ToSysRole> selectRoleByUserId(Integer userId) {

        return toSysRoleMapper.selectRoleByUserId(userId);
    }

    @Override
    public ResponseBean getAll() {
        ResponseBean responseBean = new ResponseBean();
        responseBean.addSuccess(toSysRoleMapper.selectAll());
        return responseBean;
    }
}
